vobsub2srt(1)

NAME
vobsub2srt - converts vobsub (.idx/.sub) into .srt subtitles

SYNOPSIS
vobsub2srt [OPTION] FILENAME

DESCRIPTION

vobsub2srt converts subtitles in vobsub (.idx/.sub) format into the .srt format. VobSub subtitles contain images and srt is a text format. OCR is used to extract the text from the subtitles. vobsub2srt uses tesseract for OCR and is based on code from the MPlayer project.

OPTIONS

FILENAME
    File name of the subtitles WITHOUT the .idx or .sub extension. The .srt subtitles are written to a file called FILENAME.srt.

--dump-images
    Dump the subtitles as images (format FILENAME-NUMBER.pgm in PGM format).

--verbose
    Print more information about the file (e.g. subtitle languages)

--lang language
    Select the language of the subtitle (two letter ISO 639-1 code e.g. en for English or de for German). Use --langlist to see the languages in the subtitle file.

--langlist
    List languages and exit.

--index index
    The index of the subtitle to convert. Use this instead --lang if there are several streams with the same language. Combining --lang and --index does not work!

--ifo ifo-file
    To use a specific IFO file. Default: FILENAME.IFO is tried. IFO file is optional!

--tesseract-lang language
    Set the language to be used by tesseract. This is auto detected and normally does not has to be changed. If however you need special language settings (e.g., deu-frak, chi_sim, chi_tra) use this option.

--tesseract-data path
    Set path to tesseract-data.

--blacklist blacklist
    Blacklist characters for OCR (e.g. |\/`_~<>)

--y-threshold threshold
    Y (luminance) threshold below which colors treated as black (Default: 0).

--min-width width
    Minimum width in pixels to consider a subpicture for OCR (Default: 9).

--min-height height
    Minimum height in pixels to consider a subpicture for OCR (Default: 1).

EXAMPLES
  $ vobsub2srt --lang en foobar
Converts the English language subtitles from the VobSub files foobar.idx/foobar.sub to srt subtitles in foobar.srt.
  $ vobsub2srt --lang zh --tesseract-lang chi_sim foobar
Converts the chinese language subtitles using simplified chinese (chi_sim) characters.

HOMEPAGE
For more information see http://github.com/ruediger/VobSub2SRT

AUTHOR
Rüdiger Sonderfeld <ruediger -AT- c-plusplus -DOT- de>